org.jgroups

## Class StateTransferException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jgroups.ChannelException
      - - org.jgroups.StateTransferException

- All Implemented Interfaces:
    java.io.Serializable

      public class StateTransferException
      extends ChannelException

  `StateTransferException` is thrown to indicate failure of state transfer between cluster members.

  Since:
    2.6
  Author:
    Vladimir Blagojevic
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateTransferException()`
    `StateTransferException(java.lang.String reason)`
    `StateTransferException(java.lang.String reason, java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StateTransferException

          public StateTransferException()

    - #### StateTransferException

          public StateTransferException(java.lang.String reason)

    - #### StateTransferException

          public StateTransferException(java.lang.String reason,
                                java.lang.Throwable cause)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.